/*fixar så padding inte hamnar utanför lådorna*/
* {
    box-sizing: border-box;
    /*text-shadow: 0px -5px rgba(0, 0, 0, 0.137);*/
}

body{
    background-color: #f04730;
    min-height: 100vh;
}

/*ställer in font size på alla rubriker*/
h1 {
    font-size: xx-large;
    font-weight: bolder;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

h2 {
    font-size: larger;
    font-weight: bold;
    font-family:monospace;
}

h3 {
    font-size: large;
    font-weight: bold;
}

p{
    font-size: medium;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

/*ställer in hur allt ska visas i bodyn*/
body {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

/*ställer in utseendet i header*/
header {
    text-align: center;
    padding: 40px;
    margin-bottom: 20px;
    border: solid 1px black;
    border-radius: 10px;
    background-color: rgb(220, 0, 0);
    font-size: 30px;
}

/*ställer in utseendet på menyn*/
nav {
    margin-bottom: 20px;
    border: solid 1px black;
    border-radius: 10px;
    position: sticky;
    top: 0;
    z-index: 100;
    padding: 5px;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    background-color: rgb(255, 98, 0);
    font-size: 0px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    border-radius: 10px;
}

nav li {
    font-size: 14px;
}

nav li a {
    display: block;
    color: black;
    text-align: center;
    padding: 10px;
    text-decoration: none;
}

/*markerar den aktiva fliken i menyn*/
nav li a.active {
    background-color: #d73924;
    color: white;
}

/*visar var muspekaren hovrar*/
nav li a:hover:not(.active) {
    background-color: rgb(255, 140, 0);
}

/*ställer in hur innehåller fördelar sig*/
#content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 5px;
}

/*ställer in utseendet på section*/
section {
    width: 55%;
    height: auto;
    margin-bottom: 20px;
    border: 1px black solid;
    padding: 5px;
    background-color: #c9250f;
}

/*ställer in utseendet på sidogrejerna*/
aside {
    width: 20%;
    height: auto;
    border: 1px solid black;
    padding: 5px;
    background-color: #e02108;
}

/*ställer in utseendet på footern*/
footer {
    margin-top: auto;
    position:relative;
    bottom: 0;
    width: 100%;
    border: 1px solid black;
    background-color: rgb(220, 0, 0);
    border-radius: 10px;
    padding:5px;
}

/*fixar så bilderna fördelar sig som de ska och så att bildtexten funkar*/
figure {
    width: 600px;
    position: relative;
}

img {
    display: block;
    width: 100%;
    height: 300px;
    object-fit: cover;
}

figcaption {
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5);
    color: aliceblue;
    padding: 5px;
}

#pictures {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
}

/*ställer in bredd på innehållet i about*/
#bout {
    width: 100%;
}

/*ställer in en specifik höjd på bilden på about-sidan*/
#bout > img {
    height: 400px;
}

/*ställer in storleken på videon*/
#video {
  position: relative;
  overflow: hidden;
  width: 100%;
  padding-top: 56.25%; 
}

/*positionerar videon i behållaren*/
iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
}

/*ställer in storlek och utseende på formuläret med innehåll*/
form {
    width: 100%;
}

fieldset {
    font-family: cursive;
    font-size: 15px;
    background-color: rgb(232, 145, 14);
    border-radius: 15px;
    padding: 20px;
    object-fit: cover;
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    border: black solid 1px;
}

legend {
    font-size: 35px;
    font-weight: 700;
    text-align: center;
    background-color: rgb(220, 66, 0);
    border-radius: 10px;
    padding: 5px;
}

label {
    text-align: center;
    padding: 10px;
}

input[type=submit] {
    font-family: cursive;
    font-size: 15px;
    background-color: rgb(252, 3, 3);
    border-radius: 15px;
    padding: 10px;
    width: 100%;
    margin-top: 10px;
}

/*ställer in bilderna på homepagen*/
#arne,
#första {
    width: 100%;
}

/*gör menyikonen osynlig*/
#dropdown {
    display: none;
    width: 50px;
    height: 50px;
}

/*anpassar hemsidan för mindre skärmar*/
@media only screen and (max-width: 768px) {
    
    nav ul {
        flex-direction: column;
        border: 1px solid black;
        display: none;
    }

    nav {
        border: none;
    }

    #dropdown {
        display: block;
    }

    #content {
        flex-direction: column;
    }

    #section,
    aside {
        width: 100%;
    }
}